## com.puppycrawl.tools.checkstyle.gui
Class ParseTreeModel

    java.lang.Object
      com.puppycrawl.tools.checkstyle.gui.AbstractTreeTableModel
          com.puppycrawl.tools.checkstyle.gui.ParseTreeModel

All Implemented Interfaces:
  TreeTableModel, javax.swing.tree.TreeModel

    public class ParseTreeModel

extends AbstractTreeTableModel

The model that backs the parse tree in the GUI.

Author:
  Lars Kühne

Constructor Summary
`ParseTreeModel(DetailAST parseTree)`

Method Summary
`java.lang.Object` `getChild(java.lang.Object parent, int index)`
`int` `getChildCount(java.lang.Object parent)`
`java.lang.Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int column)`
`java.lang.Object` `getValueAt(java.lang.Object node, int column)`
`void` `setValueAt(java.lang.Object aValue, java.lang.Object node, int column)` Sets the value for node `node`, at column number `column`.

Methods inherited from class com.puppycrawl.tools.checkstyle.gui.AbstractTreeTableModel
`addTreeModelListener, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getIndexOfChild, getRoot, isCellEditable, isLeaf, removeTreeModelListener, valueForPathChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseTreeModel

    public ParseTreeModel(DetailAST parseTree)

Method Detail

### getColumnCount

    public int getColumnCount()

  Returns:
    the number of available column.

### getColumnName

    public java.lang.String getColumnName(int column)

  Parameters:
    `column` - the column number
  Returns:
    the name for column number `column`.

### getColumnClass

    public java.lang.Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TreeTableModel`
  Overrides:
    `getColumnClass` in class `AbstractTreeTableModel`
  Parameters:
    `column` - the column number
  Returns:
    the type for column number `column`.

### getValueAt

    public java.lang.Object getValueAt(java.lang.Object node,
                                       int column)

  Parameters:
    `node` - the node
    `column` - the column number
  Returns:
    the value to be displayed for node `node`, at column number `column`.

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           java.lang.Object node,
                           int column)

  Description copied from interface: `TreeTableModel`
  Sets the value for node `node`, at column number `column`.

  Specified by:
    `setValueAt` in interface `TreeTableModel`
  Overrides:
    `setValueAt` in class `AbstractTreeTableModel`
  Parameters:
    `aValue` - the value to set
    `node` - the node to set the value on
    `column` - the column number

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

### getChildCount

    public int getChildCount(java.lang.Object parent)

Copyright © 2001-2010. All Rights Reserved.